| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

# Sound system

## Classes
struct | csSndSysSoundFormat
| The sound format. More...
struct | iSndSysData
| The sound data is an interface to the container object controlling raw sound data. More...
struct | iSndSysListener
| The sound listener is a unique object created by the sound renderer. More...
struct | iSndSysLoader
| The sound loader is used to load sound files given a raw input data stream. More...
struct | iSndSysManager
| This is the sound manager for Crystal Space. More...
struct | iSndSysRenderer
struct | iSndSysRendererCallback
| Sound System renderer interface for callback notification. More...
struct | iSndSysRendererSoftware
| Software renderer specific interface extensions. More...
struct | iSndSysSoftwareDriver
| This is the interface for the low-level, system-dependent sound driver that is used by the software sound renderer. More...
struct | iSndSysSoftwareFilter3D
| A sound filter is an interface to an object that modifies sequences of sound samples. More...
struct | iSndSysSoftwareFilter3DProperties
struct | iSndSysSoftwareOutputFilter
| Temporary filter interface definition. More...
struct | iSndSysSource
struct | iSndSysSourceSoftware
struct | iSndSysSourceSoftware3D
struct | iSndSysStream
| The primary interface for a sound stream used by the audio system. More...
struct | iSndSysStreamCallback
| Sound System stream interface for callback notification. More...
struct | iSndSysWrapper
| A wrapper/holder for a loaded sound. More...
## Defines
#define | CS_SNDSYS_DATA_UNKNOWN_SIZE -1
#define | CS_SNDSYS_SOURCE_DISTANCE_INFINITE -1.0f
#define | CS_SNDSYS_SOURCE_PLAYING 1
#define | CS_SNDSYS_SOURCE_STOPPED 0
#define | CS_SNDSYS_STREAM_DONTLOOP 0
#define | CS_SNDSYS_STREAM_LOOP 1
#define | CS_SNDSYS_STREAM_PAUSED 0
#define | CS_SNDSYS_STREAM_UNPAUSED 1
#define | CSSNDSYS_SAMPLE_BIG_ENDIAN 0x01
#define | CSSNDSYS_SAMPLE_ENDIAN_MASK 0x01
#define | CSSNDSYS_SAMPLE_LITTLE_ENDIAN 0x00
## Typedefs
typedef int32 | csSoundSample
## Enumerations
enum | { CS_SND3D_DISABLE = 0, CS_SND3D_RELATIVE, CS_SND3D_ABSOLUTE }
| Every sound stream must be created with one of these 3d modes. More...
enum | SndSysFilterLocation
| Possible locations at which filters may be installed into the sound system. More...
## Variables
const size_t | CS_SNDSYS_STREAM_UNKNOWN_LENGTH = (size_t)-1

## Enumeration Type Documentation

anonymous enum

Every sound stream must be created with one of these 3d modes.

Enumerator:

  CS_SND3D_DISABLE | Disable 3d effect.
  CS_SND3D_RELATIVE | Position of the sound is relative to the listener.
  CS_SND3D_ABSOLUTE | Position of the sound is absolute.

Definition at line 45 of file ss_stream.h.

enum SndSysFilterLocation

Possible locations at which filters may be installed into the sound system.

Definition at line 108 of file ss_filter.h.